We've moved!
This site is now read-only. You can find our new documentation site and support forum for posting questions here.
Be sure to read our welcome blog!

Compiling gatk 3.5

Hello,

Have the compilation requirements changed for the latest release?

Using:
mvn verify -P!queue

Results in:

[INFO] GATK Root ......................................... SUCCESS [1.204s]
[INFO] GATK Aggregator ................................... SUCCESS [0.896s]
[INFO] GATK GSALib ....................................... SUCCESS [1.156s]
[INFO] GATK Utils ........................................ SUCCESS [21.737s]
[INFO] GATK Engine ....................................... SUCCESS [6.284s]
[INFO] GATK Tools Public ................................. FAILURE [0.634s]
[INFO] External Example .................................. SKIPPED
[INFO] GATK Aggregator Public ............................ SKIPPED
[INFO] GATK Tools Protected .............................. SKIPPED
[INFO] GATK Package Distribution ......................... SKIPPED
[INFO] GATK Aggregator Protected ......................... SKIPPED
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 32.766s
[INFO] Finished at: Wed Dec 02 17:59:47 EST 2015
[INFO] Final Memory: 42M/358M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.1:compile (compile-java) on project gatk-tools-public: Compilation failure
[ERROR] /home/lmose/dev/gatk3.5/gatk-protected-3.5/public/gatk-tools-public/src/main/java/org/broadinstitute/gatk/tools/walkers/varianteval/VariantEval.java:[32,26] package oracle.jrockit.jfr does not exist
[ERROR] -> [Help 1]


The same command worked fine for previous release.

Thanks.

Best Answer

Answers

Sign In or Register to comment.